*----------------------------------------------------------------------------*
* MINIGUI - Harbour Win32 GUI library Demo  HMG 3.24                         *
* Copyright  2002 Roberto Lopez <harbourminigui@gmail.com>                  *
* http://harbourminigui.googlepages.com/                                     *
*----------------------------------------------------------------------------*
*---------------------------- BoxLabel --------------------------------------*
*------- Idea Orginal cedida       : Lucho Miranda   ElSalnes@telefonica.net * 
*------- Routine donated by        : Lucho Miranda   ElSalnes@telefonica.net *
*------- Funciones y Areglos       : Mustafa Lpez   mustalopez@gmail.com    * 
*------- Function and Arrangements : Mustafa Lpez   mustalopez@gmail.com    *
*----------------------------------------------------------------------------*

#include "hmg.ch"
#include "BoxLetterShoW.ch"

Function Main()

  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO ENGLISH          //    <--------- SET LANGUAGE TO SPANISH
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
 
         DEFINE WINDOW Form_1             ;
                AT 0,0                    ;    
                WIDTH 850                 ;   
                HEIGHT 600                ;
                BACKCOLOR {155,197,229}   ;   
                TITLE '[Esc] ->  Exit' + SPACE(75) + 'LineBox_Ornaments' ;                                      
                icon "Beer"               ;                     
                MAIN NOSIZE NOMAXIMIZE                  
                ON KEY ESCAPE ACTION Form_1.Release 

*---------------------------------------- BoxShadow Presentation -----------------------------------------*
  
          BoxShadow( 011,195, 650, 109 ,"01" ,"02", 100,009,000 ) 

          BoxShadow( 022,215, 325, 064 ,"03" ,"04", 202,254,255 ) 

          LetterShadow( 024, 248,"05" ,"06","Remember Post-It",22, 100,135,255 ) 
                                                    
          LetterShadow( 054, 316,"07" ,"08","v 1.03 2010",13, 100,135,255 ) 

          LetterShadow( 035, 546,"09" ,"10","Record and Remember",20, 255,234,000 )  
                 
          LabelBox(086, 280, 245, 020 ,"10sax","Copyright   All rights reserved",9 ,.T.,.T., 100,009,000 , 255,170,221 )

          LabelBox(073, 575, 245, 020 ,"11sax","mustalopez@gmail.com - Mustafa Lpez",9 ,.T.,.T., 100,009,000 , 255,170,221 )

*---------------------------------------------------------------------------------------------------------*

*----------------------------  BoxShadow --->  MONTHCALENDAR & TEXTBOX -----------------------------------*
   
          BoxShadow( 134,600, 400, 560 ,"11" ,"12", 016,000,100 )  

                   Form_1.Label_11.Enabled := .F.    // <---- Necesario si ponemos MONTHCALENDAR  TEXTBOX
                   Form_1.Label_12.Enabled := .F.    // <---- Necessary if we MonthCalendar or TEXTBOX

*----------------------------------------------------------------------------------------------------------*
 
          Box(160, 692, 211, 220 ,"01qw",016,000,100 ) 

                    Form_1.Label_01qw.Enabled := .F.   // <---- Necessary if we MonthCalendar or TEXTBOX
          
          @ 162,695 MONTHCALENDAR Date_1  ;
                    FONT "Times NEW Roman" SIZE 12 ;
                    TOOLTIP "Elegir Fecha..."      
*----------------------------------------------------------------------------------------------------------*
          
          Box(414, 662, 263, 026 ,"02qw",128,126,255 )    

                   Form_1.Label_02qw.Enabled := .F. 

          LetterShadow( 420, 676,"1Xz" ,"2Xz","Introduce Date -->",10, 180,200,255 ) 
                                           
          @ 416,804 TEXTBOX TEXT_8           ;   
                    VALUE DTOC(DATE())       ;            
                    BACKCOLOR {180,200,255}  ;
                    WIDTH 110 HEIGHT 20      ;  
                    TOOLTIP "Indique Fecha"  ;
                    FONT "Verdana" SIZE 10 BOLD ITALIC ;                           
                    INPUTMASK '99/99/9999'                 

*----------------------------------------------------------------------------------------------------------*

*----------------------------------------  Box NO Shadow & Line -------------------------------------------*     
 
            Box( 148,027, 270, 270 ,"13",023,101,012 ) 
            
            LetterShadow( 245, 120 ,"17a" ,"18a","Box",30, 255,255,255 )   

            Box( 235,320, 250, 003 ,"14", 255,255,255 ) 
           
            LetterShadow( 170, 416 ,"19a" ,"20a","Line",24, 023,101,054 ) 
                  
            Box(270, 380, 125, 075 ,"Exit",128,126,255 )    

                 Form_1.Label_Exit.Enabled := .F. 

               @ 280,390 BUTTON Exit             ;                   
                         CAPTION 'Exit'          ;  
                         PICTURE 'Exit.bmp'      ;                  
                         TOOLTIP 'Exit ...'      ; 
                         WIDTH 105 HEIGHT 53     ; 
                         FONT "Arial" SIZE 7 BOLD ITALIC ;  
                         ACTION Form_1.Release

*-----------------------------------------------------------------------------------------------------------*

*----------------------------------  BoxShadow &  LetterShadow ---------------------------------------------*

          BoxShadow( 470, 650, 300, 150 ,"15" ,"16", 254,232,050 )     
      
          LetterShadow( 510, 680 ,"17" ,"18","Hello World ...",27, 206,223,239 ) 

*-----------------------------------------------------------------------------------------------------------*

*----------------------------------  BoxShadow &  LetterShadow ---------------------------------------------*

          LabelBox(475, 120, 100, 028 ,"100A",'BoxShadow',12 ,.T.,.T., 000,000,000 , 255,255,255 ) //  Title

          BoxShadow( 510, 030, 270, 090 ,"19" ,"20", 246,158,237 )   
              
          LetterShadow( 530, 070 ,"21" ,"22","Mustafa Lpez",20, 000,128,000 )   

*-----------------------------------------------------------------------------------------------------------*

*--------------------------------------  Black Box Calendar ------------------------------------------------*

          BoxShadow( 380, 315, 270, 270 ,"23" ,"24", 000,000,000 ) 

*--------------------------------------------  Year ---------------------------------------------------------*
           
          LabelBox(380, 370, 100, 090 ,"25zx",SUBSTR(DTOC(DATE()),7,4),50 ,.T.,.T., 000,000,000 , 255,255,255 )  

*--------------------------------------------  Day ----------------------------------------------------------*

          LabelBox(440, 390, 090, 100 ,"26zx",SUBSTR(DTOC(DATE()),1,2),70 ,.T.,.T., 000,000,000 , 255,255,255 )

*------------------------------------------  Viewer Months --------------------------------------------------*
         aMesSX = CMONTH (DATE())                //  LabelBox problem ---> CENTERALIGN   
     
          @ 540,338 LABEL Label_12z VALUE aMesSX CENTERALIGN ;   
                    FONT "Arial" SIZE 16 BOLD ITALIC BACKCOLOR {000,000,000} FONTCOLOR {255,255,255} ;
                    WIDTH 210 HEIGHT 30  
*-------------------------------------- Viewer Weekday ------------------------------------------------------*
         DiaSem = HB_OEMTOANSI(CDOW(DATE()))    //   LabelBox problem --->  CENTERALIGN   
            
         @ 570,338 LABEL Label_13z VALUE DiaSem  CENTERALIGN ;   
                   FONT "Arial" SIZE 12 BOLD ITALIC BACKCOLOR {000,000,000} FONTCOLOR {255,255,255} ;
                   WIDTH 210 HEIGHT 28
         
*---------------------------    Routine Courtesy: Lucho Miranda   ElSalnes@telefonica.net -------------------*     

         DEFINE TIMER Timer_2 INTERVAL 1000 ACTION Form_1.label_44z.value := Time()              
  
         LabelBox(600, 410, 100, 028 ,"44z",,12 ,.T.,.T., 000,000,000 , 255,255,255 )

*--------------------------------------- End Calendar Black --------------------------------------------------*         
   
   END WINDOW

   Form_1.Center
   Form_1.MAXIMIZE   
   Form_1.Activate

Return Nil

 
